Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenElementInitializer

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenFeatureSeqInitializer

All Known Implementing Classes:
  GenElementInitializerImpl, GenFeatureSeqInitializerImpl

public interface GenElementInitializer
extends EObject

A representation of the model object 'Gen Element Initializer'. Base class for initializers of domain model elements

The following features are supported:

- `Type Model Facet`

See Also:
  `GMFGenPackage.getGenElementInitializer()`
** Generated **
Model:
  abstract="true"

Method Summary
`TypeModelFacet` `getTypeModelFacet()` Returns the value of the 'Type Model Facet' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTypeModelFacet

    public TypeModelFacet getTypeModelFacet()

  Returns the value of the 'Type Model Facet' container reference. It is bidirectional and its opposite is '`Model Element Initializer`'. The type model facet whose domain model element is to be intialized by this initializer

  Returns:
    the value of the 'Type Model Facet' container reference.
  See Also:
    `GMFGenPackage.getGenElementInitializer_TypeModelFacet()`, `TypeModelFacet.getModelElementInitializer()`
  ** Generated **
  Model:
    opposite="modelElementInitializer" required="true" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.